Update Segmentation Session Settings

Update Segmentation Session Settings
Update segmentation session settings

Updates the configuration settings for a segmentation session. This includes CSV column mappings and publish settings.

Notes

  • Must be called before PUT /{session-id} with action: PARSE_FILE.
  • csv_mappings can only be updated prior to parsing the file, once we are past FILE_PARSED updating the mappings will result in an error.
  • allow_existing_group_rename can be updated at any point during the session. Objects for which publish has already been triggered will use the setting at the time of publish.
  • Returns 200 on success
Request
URI
PUT
https://{api_host}/ssp/segmentation/{session-id}/settings
COPY
Path Parameters
string
session-id
Required  

Unique identifier of the segmentation session


Request Body

Updated settings configuration

SegmentationSessionSettings of type(s) application/json
Required  
This request body class requires all of the following: ManagedResource , InlineSegmentationSessionSettings1
{
    "_create_time": 1781138986404,
    "_last_modified_user": "admin",
    "_last_modified_time": 1781139555120,
    "_revision": 0,
    "csv_mappings": {
        "asset_identifiers": [
            "asset id",
            "asset name",
            "asset ip"
        ],
        "asset_type": "asset type",
        "infrastructure_service": "infrastructure service",
        "hierarchy_scopes": {
            "region_scope": "region",
            "zone_scope": "zone",
            "environment_scope": "environment",
            "application_scope": "application",
            "application_tier_scope": "application tier"
        }
    }
}
Authentication
This operation uses the following authentication methods.
Responses
200

Settings successfully updated

Returns SegmentationSessionSettings of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineSegmentationSessionSettings1
{
    "_create_user": "system",
    "_create_time": 1781138986404,
    "_last_modified_user": "admin",
    "_last_modified_time": 1781139555120,
    "_revision": 1,
    "id": "aaaa1111-bbbb-2222-cccc-3333dddd4444",
    "display_name": "settings_aaaa1111-bbbb-2222-cccc-3333dddd4444",
    "site_ids": [],
    "csv_mappings": {
        "asset_identifiers": [
            "asset id",
            "asset name",
            "asset ip"
        ],
        "columns": [
            "asset type",
            "asset name",
            "asset ip",
            "asset id",
            "infrastructure service",
            "region",
            "zone",
            "environment",
            "application",
            "application tier"
        ],
        "asset_type": "asset type",
        "hierarchy_scopes": {
            "region_scope": "region",
            "zone_scope": "zone",
            "environment_scope": "environment",
            "application_scope": "application",
            "application_tier_scope": "application tier"
        },
        "infrastructure_service": "infrastructure service"
    },
    "allow_existing_group_rename": true
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/ssp/segmentation/{session-id}/settings